%define upstream_name    Dist-Zilla-Plugin-Test-CheckChanges
%define upstream_version 2.000004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Release tests for checking changes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::CheckChanges)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

Obsoletes:  perl-Dist-Zilla-Plugin-CheckChangesTests <= 1.100.900
Provides:   perl-Dist-Zilla-Plugin-CheckChangesTests

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/check-changes.t - a standard Test::CheckChanges test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.4-4.mga8
+ Revision: 1504184
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.0.4-3.mga7
+ Revision: 1283340
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.0.4-2.mga7
+ Revision: 1164266
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 2.0.4-1.mga7
+ Revision: 1157728
- update to 2.000004

* Sun Jun 19 2016 pterjan <pterjan> 2.0.3-6.mga6
+ Revision: 1026588
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.0.3-5.mga6
+ Revision: 948198
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 742103
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.3-2.mga4
+ Revision: 531462
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 2.0.3-1.mga4
+ Revision: 463482
- update to 2.000003

* Fri Jun 07 2013 jquelin <jquelin> 2.0.2-1.mga4
+ Revision: 439088
- update to 2.000002

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 366451
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 jquelin <jquelin> 2.0.1-1.mga3
+ Revision: 254257
- update to 2.000001

* Tue Aug 30 2011 jquelin <jquelin> 2.0.0-1.mga2
+ Revision: 136656
- update to v2.0.0
- dist renamed upstream

* Wed Jan 26 2011 jquelin <jquelin> 1.100.900-1.mga1
+ Revision: 40378
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CheckChangesTests

